#!/bin/sh -e

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: set-level.sh CHANNEL LEVEL [PV_PREFIX DEVICE_NAME]'
  echo 'Parameters:'
  echo '  CHANNEL      Channel to set (1|2|3|4)'
  echo '  LEVEL        Level as percentage (0.0-100.0)'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of AMI 286 device (default: "ami286_1")'
  echo 'Example: set-level.sh 1 60.3'
  echo 'Example: set-level.sh sim17bm: ami286_1'
  exit 0
fi

if [ "X$1" = 'X' ]; then
  echo 'Error: expected channel' 1>&2
  exit 1
fi
ch="$1"
if [ "X$2" = 'X' ]; then
  echo 'Error: expected level' 1>&2
  exit 1
fi
level="$2"
pvPrefix=sim17bm:
if [ "X$3" != 'X' ]; then pvPrefix="$3"; fi
deviceName=ami286_1
if [ "X$4" != 'X' ]; then deviceName="$4"; fi

pollPv="${pvPrefix}${deviceName}:Poll.SCAN"
writePv="${pvPrefix}${deviceName}:HwGetLvl${ch}.AOUT"

origPoll=`caget -t "$pollPv"`
caput "$pollPv" Passive > /dev/null
origQuery=`caget -t "$writePv"`
caput -c "$writePv" "CH${ch}:LEVEL=$level" > /dev/null
caput -c "$writePv" "$origQuery" > /dev/null
caput "$pollPv" "$origPoll" > /dev/null
