#!/bin/sh

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: storage-dewars-control.sh [PV_PREFIX DEVICE_NAME]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of AMI 286 device (default: "ami286_1")'
  echo 'Example: storage-dewars-control.sh'
  echo 'Example: storage-dewars-control.sh sim17bm: ami286_1'
  exit 0
fi

pvPrefix=sim17bm:
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
deviceName=ami286_1
if [ "X$2" != 'X' ]; then deviceName="$2"; fi

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=${pvPrefix},D=${deviceName}" ./storage-dewars.adl
